# PYPI Library: topsis-b-sort

## Overview
#### The topsis-b-sort library is a Python package that provides functions for implementing the TOPSIS-B-Sort method for decision-making and profile classification. TOPSIS-B-Sort is a multi-criteria decision-making method that combines the Technique for Order Preference by Similarity to Ideal Solution (TOPSIS) with the B-Sort method for profile classification.

## Installation
### You can install the topsis-b-sort library using the following command:

## Usage

### Decision Matrix Normalization
#### The decision_matrix_normalization function normalizes a decision matrix based on a domain matrix and weights

### Approximation Coefficient
#### The approximation_coefficient function calculates the approximation coefficient for a given decision matrix, domain matrix, and weights.
### Dominant Profiles Distances
#### The dominant_profiles_distances function calculates the distances of dominant profiles based on a decision matrix, domain matrix, dominant profiles, and weights
### TOPSIS-B-Sort Profile Classification
#### The topsis_b_sort_profile_classification function performs profile classification using the TOPSIS-B-Sort method. It returns the classification result, the best solution, and the dominant profile of the best solution.